<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ title }}</title>
    <style>
        body {
            background-color: #1c1d1f;
            font-family: Arial, sans-serif;
            color: #333;
        }
        .container {
            width: 60%;
            margin: auto;
            background-color: #fff;
            padding: 20px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
        }
        h1 {
            color: #333;
        }
        p {
            line-height: 1.6;
        }
        a {
            display: inline-block;
            padding: 10px 15px;
            margin: 5px;
            background-color: #007bff;
            color: #ffffff;
            text-decoration: none;
            border-radius: 5px;
        }
        a:hover {
            background-color: #0056b3;
        }
        .gitlab-flow {
            background-color: #f0f0f0;
            padding: 15px;
            border-left: 4px solid #007bff;
            margin: 20px 0;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Welcome to Our Demo Application</h1>
    <p>This application serves as a demonstration of GitLab's capabilities, including CI/CD, project management, and version control, following the principles of GitLab Flow.</p>
    <div class="gitlab-flow">
        <h2>About GitLab Flow</h2>
        <p>GitLab Flow is a workflow philosophy that guides teams on how to effectively manage their projects and codebase. It combines feature-driven development and feature branches with issue tracking and merge requests to improve collaboration and code quality.</p>
    </div>
</div>
</body>
  {% include 'footer.html' %}
</html>